package com.schbrain.web;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.otter.canal.protocol.CanalEntry;
import com.schbrain.bean.User;
import com.schbrain.canal.client.annotation.TableFilter;
import com.schbrain.canal.client.event.SimpleMapCanalEvent;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @author zhuyf
 * @date 2022/6/16
 */
@Slf4j
@Service("myCanalEvent8")
@TableFilter(table = "wechat_user",schame = "kp_user")
public class MyCanalEvent8 extends SimpleMapCanalEvent {

    @Override
    public void onInsert(CanalEntry.Header header, Map<String, Object> user) {
        String s = JSONObject.toJSONString(user);
        log.info("onInsert：{}",s);
    }

    @Override
    public void onUpdate(CanalEntry.Header header, Map<String, Object> before, Map<String, Object> after) {
        String s = JSONObject.toJSONString(before);
        String b = JSONObject.toJSONString(after);
        log.info("onUpdate,before:{},after:{}",s,b);
    }

    @Override
    public void onDelete(CanalEntry.Header header, Map<String, Object> user) {
        String s = JSONObject.toJSONString(user);
        log.info("onDelete：{}",s);
    }
}
